Please add Path Finder Requirements information to main web page.

bruce's Avatar

bruce

20 Apr, 2012 01:44 AM

Nice to see Path Finder 6.
However, I looked through the primary pages of information, and there is nowhere a simple statement (or any...) about what the system requirement for Path Finder 6 is.
Closest one gets is the brief text in the popup flash window which says to download the older PF 5.8.1 for Snow Leopard and Lion.

Please add a clear and easy-to-find Mac OS requirement info paragraph.

I think this maybe happened because you have no more download details page, just the flash popup thingy (which I am not a fan of). Only found out that PF 6 works with Snow Leopard by searching in the support questions area -- not a good place to hide the important and basic requirements information.
I don't think that first time -or even repeat upgraders- should have to search in the support forum site to find out the latest version's OS requirements.

On the plus side, beside the nice feature list for PF 6, I LOVE that the new Path Finder main page is back to a readable dark text on light background. (Never could spend more than a few moments on the prior dark-gray-toned website without my eyes going buggy).
Thank you.

  1. 1 Posted by Damazio on 20 Apr, 2012 02:35 AM

    Damazio's Avatar

    It says on the home page that it's compatible with Snow Leopard and Lion.

  2. Damazio closed this discussion on 20 Apr, 2012 03:07 AM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac